uk.gov.hmrc.payeestimator.domain

# Money

###
Related Docs: object Money | package domain

#### class Money extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Money
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Money(amount: BigDecimal, decimalPlaces: Int, roundingUp: Boolean)

### Value Members

1. #### def !=(that: Money): Boolean

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def *(that: BigDecimal): Money

5. #### def *(that: Money): Money

6. #### def +(that: BigDecimal): Money

7. #### def +(that: Money): Money

8. #### def -(that: BigDecimal): Money

9. #### def -(that: Money): Money

10. #### def /(that: BigDecimal): Money

11. #### def /(that: Money): Money

12. #### def <(that: Money): Boolean

13. #### def <=(that: Money): Boolean

14. #### def ==(that: Money): Boolean

15. #### final def ==(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def >(that: BigDecimal): Boolean

17. #### def >(that: Money): Boolean

18. #### def >=(that: Money): Boolean

19. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

20. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### val roundingMode: scala.math.BigDecimal.RoundingMode.Value

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### def value: BigDecimal

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped